CVE-2001-0913
CVSS7.5
发布时间 :2001-11-22 00:00:00
修订时间 :2016-10-17 22:13:12
NMCO    

[原文]Format string vulnerability in Network Solutions Rwhoisd 1.5.7.2 and earlier, when using syslog, allows remote attackers to corrupt memory and possibly execute arbitrary code via a rwhois request that contains format specifiers.


[CNNVD]Network Solutions Rwhoisd格式化字符串漏洞 (CNNVD-200111-032)

        Network Solutions Rwhoisd 1.5.7.2及其早期版本使用syslog时存在格式化字符串漏洞。远程攻击者可以借助包含格式化分类符的rwhois请求破坏内存并可能执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:network_solutions:rwhoisd:1.5.1a
cpe:/a:network_solutions:rwhoisd:1.5.7
cpe:/a:network_solutions:rwhoisd:1.5.2
cpe:/a:network_solutions:rwhoisd:1.5.5
cpe:/a:network_solutions:rwhoisd:1.5.7.1
cpe:/a:network_solutions:rwhoisd:1.5.6
cpe:/a:network_solutions:rwhoisd:1.5
cpe:/a:network_solutions:rwhoisd:1.5.7.2
cpe:/a:network_solutions:rwhoisd:1.5.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0913
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0913
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200111-032
(官方数据源) CNNVD

- 其它链接及资源

http://lists.research.netsol.com/pipermail/rwhois-announce/2001-November/000023.html
(VENDOR_ADVISORY)  CONFIRM  http://lists.research.netsol.com/pipermail/rwhois-announce/2001-November/000023.html
http://marc.info/?l=bugtraq&m=100655265508104&w=2
(UNKNOWN)  BUGTRAQ  20011122 [NetGuard Security] NSI Rwhoisd another Remote Format String Vulnerability

- 漏洞信息

Network Solutions Rwhoisd格式化字符串漏洞
高危 格式化字符串
2001-11-22 00:00:00 2005-10-20 00:00:00
远程  
        Network Solutions Rwhoisd 1.5.7.2及其早期版本使用syslog时存在格式化字符串漏洞。远程攻击者可以借助包含格式化分类符的rwhois请求破坏内存并可能执行任意代码。

- 公告与补丁

        

- 漏洞信息

671
Network Solutions Rwhoisd Syslog Remote Format String
Remote / Network Access, Local / Remote, Context Dependent Input Manipulation
Loss of Integrity Patch / RCS, Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2001-11-22 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.5.7.3 or higher, as it has been reported to fix this vulnerability. In addition, Network Solutions has released a patch for some older versions.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站